texlive[54441] Master/tlpkg/bin: tl-update-auto: better umask 022 to

commits+karl at tug.org commits+karl at tug.org
Fri Mar 20 23:17:28 CET 2020


Revision: 54441
          http://tug.org/svn/texlive?view=revision&revision=54441
Author:   karl
Date:     2020-03-20 23:17:27 +0100 (Fri, 20 Mar 2020)
Log Message:
-----------
tl-update-auto: better umask 022 to avoid later chmod.
tl-update-bindir: x86_64-darwin now special.
tl-update-tlpdb: check if old tlpdb is non-empty, not just readable.
tlpfiles: exit if no tlpdb can be read.

Modified Paths:
--------------
    trunk/Master/tlpkg/bin/tl-update-auto
    trunk/Master/tlpkg/bin/tl-update-bindir
    trunk/Master/tlpkg/bin/tl-update-tlpdb
    trunk/Master/tlpkg/bin/tlpfiles

Modified: trunk/Master/tlpkg/bin/tl-update-auto
===================================================================
--- trunk/Master/tlpkg/bin/tl-update-auto	2020-03-20 22:16:24 UTC (rev 54440)
+++ trunk/Master/tlpkg/bin/tl-update-auto	2020-03-20 22:17:27 UTC (rev 54441)
@@ -6,7 +6,7 @@
 
 LC_ALL=C; export LC_ALL
 PATH=/usr/local/gnu/bin:/usr/local/bin:$PATH; export PATH
-umask 0
+umask 022
 
 # maybe someday we'll make real options.
 chicken=echo

Modified: trunk/Master/tlpkg/bin/tl-update-bindir
===================================================================
--- trunk/Master/tlpkg/bin/tl-update-bindir	2020-03-20 22:16:24 UTC (rev 54440)
+++ trunk/Master/tlpkg/bin/tl-update-bindir	2020-03-20 22:17:27 UTC (rev 54441)
@@ -186,7 +186,9 @@
     default_bin_loc=$download_loc
     $grab http://sanibeltranquility.com/cygwin/$tlplat.tgz;;
    x86_64-darwin)
-    default_bin_loc=/home/koch/$tlplat.tar.xz;;
+    default_bin_loc=/home/koch/$tlplat.tar.xz
+    echo "fix me, now only modified programs, goodbye" >&2; exit 1;
+    ;;
    x86_64-darwinlegacy)
     default_bin_loc=$download_loc
     $grab http://dl.contextgarden.net/build/texlive/$tlplat.tar.xz;;

Modified: trunk/Master/tlpkg/bin/tl-update-tlpdb
===================================================================
--- trunk/Master/tlpkg/bin/tl-update-tlpdb	2020-03-20 22:16:24 UTC (rev 54440)
+++ trunk/Master/tlpkg/bin/tl-update-tlpdb	2020-03-20 22:17:27 UTC (rev 54441)
@@ -134,7 +134,7 @@
 
   my $oldtlpdb = undef;
   my $OLDTLPDB = "$opt_master/$DatabaseLocation";
-  if (-r $OLDTLPDB) {
+  if (-s $OLDTLPDB) {
     $oldtlpdb = TeXLive::TLPDB->new("root" => $opt_master);
   }
   if (!defined($oldtlpdb)) {

Modified: trunk/Master/tlpkg/bin/tlpfiles
===================================================================
--- trunk/Master/tlpkg/bin/tlpfiles	2020-03-20 22:16:24 UTC (rev 54440)
+++ trunk/Master/tlpkg/bin/tlpfiles	2020-03-20 22:17:27 UTC (rev 54441)
@@ -1,6 +1,6 @@
 #!/usr/bin/env perl
 # $Id$
-# Copyright 2007-2015 Karl Berry.
+# Copyright 2007-2020 Karl Berry.
 # This file is licensed under the GNU General Public License version 2
 # or any later version.
 # 
@@ -54,6 +54,9 @@
   my $pkg = $ARGV[0];
 
   my $tlpdb = TeXLive::TLPDB->new (root => $Master);
+  if (! defined $tlpdb) {
+    die "$0: no texlive.tlpdb under $Master, goodbye";
+  }
 
   my $obj = $tlpdb->get_package ($pkg);
   die "$0: no TeX Live package named $pkg in $Master.\n" if ! $obj;



More information about the tex-live-commits mailing list.